Subject: Re: [PATCH 2/2] ctype: implement islower/isupper macro

From: 김남형 <[email-masked]>
Date: Fri, 10 Feb 2012 11:32:45 +0900

Hello,

2012-02-10 11:17 AM, Junio C Hamano wrote:
> Namhyung Kim <[email-masked]> writes:
>
>> The git-compat-util.h provides various ctype macros but lacks those two
>> (along with others). Add them.
>
> Isn't that because we do not use them ourselves? Uses in compat/ do not
> count, and judging from the way it is used in compat/fnmatch/fnmatch.c,
> the implementation of sane_iscase() might be overly protective.
>
> What problem are you trying to solve?
>

There's no problem. In fact, these patches come from perf as it uses a copy of 
git code in this part. So I didn't check it's really needed for git too, but 
just hoped it'd be helpful someday. If you don't think it's worth applying I'm 
fine with dropping it.

Thanks,
Namhyung